Package org.apache.cxf.bus.managers

# Class WorkQueueManagerImplMBeanWrapper

java.lang.Object
org.apache.cxf.bus.managers.WorkQueueManagerImplMBeanWrapper

All Implemented Interfaces:
  `ManagedComponent`

@ManagedResource(componentName="WorkQueueManager", description="The CXF manangement of work queues ", currencyTimeLimit=15, persistPolicy="OnUpdate", persistPeriod=200) public class WorkQueueManagerImplMBeanWrapper extends Object implements ManagedComponent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkQueueManagerImplMBeanWrapper(WorkQueueManagerImpl wq)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectName`
  `getObjectName()`
  `void`
  `shutdown(boolean processRemainingWorkItems)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkQueueManagerImplMBeanWrapper

    public WorkQueueManagerImplMBeanWrapper(WorkQueueManagerImpl wq)

- ## Method Details

  - ### shutdown

    @ManagedOperation(currencyTimeLimit=30) public void shutdown(boolean processRemainingWorkItems)

  - ### getObjectName

    public ObjectName getObjectName() throws JMException
    Specified by:
      `getObjectName` in interface `ManagedComponent`
    Throws:
      `JMException`